# ListLocationQuestionsByAddress

Retrieve the list of questions that are required for a tax location

`GET /api/v2/definitions/locationquestions`

**API:** AvaTax API
**Tag:** Definitions
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Definitions/ListLocationQuestionsByAddress/

## Description

Returns the list of additional questions you must answer when declaring a location in certain taxing jurisdictions.
Some tax jurisdictions require that you register or provide additional information to configure each physical place where
your company does business.
This information is not usually required in order to calculate tax correctly, but is almost always required to file your tax correctly.
You can call this API call for any address and obtain information about what questions must be answered in order to properly
file tax in that location.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `line1` | string | query | No | The first line of this location's address. |
| `line2` | string | query | No | The second line of this location's address. |
| `line3` | string | query | No | The third line of this location's address. |
| `city` | string | query | No | The city part of this location's address. |
| `region` | string | query | No | The region, state, or province part of this location's address. |
| `postalCode` | string | query | No | The postal code of this location's address. |
| `country` | string | query | No | The country part of this location's address. |
| `latitude` | number | query | No | Optionally identify the location via latitude/longitude instead of via address. |
| `longitude` | number | query | No | Optionally identify the location via latitude/longitude instead of via address. |
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.  For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/). |
| `$top` | integer | query | No | If nonzero, return no more than this number of results.  Used with `$skip` to provide pagination for large datasets.  Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data.  Used with `$top` to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `LocationQuestionModelFetchResult` |

### 200 Response: `LocationQuestionModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | LocationQuestionModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/definitions/locationquestions" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```